Update asset configuration
POST
/portfolio/assets/{asset}/configurationUpdates operational configuration settings on the asset. Currently supports changing the subscription type, which controls how investor capital calls and subscriptions are handled for the fund.
Path parameters
The asset ID
Request body
application/json, optional · PortfolioUpdateAssetConfigurationRequest
{
"subscription_type": "drawdown"
}Responses
{
"data": {
"id": 1,
"parent_asset_id": 1,
"client_reference": "string",
"guid": "string",
"name": "string",
"class": "string",
"structure": "string",
"uid": "string",
"source": "string",
"source_id": "string",
"description": "string",
"currency": "string",
"has_subpositions": true,
"has_parent": true,
"subposition_type": "string",
"created_at": "string",
"updated_at": "string",
"raw_asset_data": [
"string"
],
"asset_data": [
"string"
],
"metadata": [
"string"
],
"toggles": {
"values": [
"string"
],
"chain_has_investor_toggle": true,
"is_manual_valuation": true,
"is_investor_sub_dist_allowed": true,
"show_valuation_timeline": true
},
"has_fund_cash": true,
"fund_cash_id": 1,
"has_fund_cash_pots": true,
"parent_has_fund_cash": true,
"parent_name": "string"
}
}404
Not found
422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/configuration\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"subscription_type": "drawdown"
}'